// $Id: CCallTemplateTask.h,v 1.5 2003/04/09 10:26:45 ta_muto Exp $
// This class is to call templates.

#ifndef __wax_CCallTemplateTask_h
#define __wax_CCallTemplateTask_h

#include <IDispatch.h>
#include <CEnvironment.h>
#include <views/ITask.h>

namespace wax {
	class CCallTemplateTask : public ITask {
		CEnvironment* calledScript;
		IDispatch* disp;
	public:
		CCallTemplateTask();
		~CCallTemplateTask();
		
		bool parse(CEnvironment* runenv, xmlNodePtr cur);
		bool execute();
		void output(IWriter* writer);
	} ;
}

#endif
